Skip to main content
GET
Get release file

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, UUID, or domain that identifies the project.

version
string
required

Release version (for example, "1.2.3" or "latest").

filePath
string
required

File path (URL-encoded, for example, pages%2Findex.mdx).

Query Parameters

include_server_functions
enum<string>
Available options:
true,
false
fields
string

Response fields to include or exclude. Examples: (id,name), (id,files(path)), and !(content).

Pattern: ^!?\([^)]*\)$
Example:

"(id,path,type,size)"

Response

File from the release with selectable response fields.

id
string
required
version_id
string
required
path
string
required
content
string
required
size
number
required
type
enum<string>
required
Available options:
page,
function,
component,
file
updated_at
string
required
release_id
string
required
release_version
string | null
required